Bug 40382 - EDITING Large imported EPS figures causes frequent temporary freezes
Summary: EDITING Large imported EPS figures causes frequent temporary freezes
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.4.2 release
Hardware: x86-64 (AMD64) Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-25 10:36 UTC by Zack Weinberg
Modified: 2011-12-22 05:50 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
presentation demonstrating problem (413.80 KB, application/vnd.oasis.opendocument.presentation)
2011-08-25 10:36 UTC, Zack Weinberg
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Zack Weinberg 2011-08-25 10:36:38 UTC
Created attachment 50571 [details]
presentation demonstrating problem

The attached .odp file contains two slides with complicated embedded figures (originally EPS files generated by Matlab).  Having these slides in a presentation causes LibO's UI to freeze up for 10-30 seconds, over and over again, while making any sort of modification to the document.  I could understand it if editing *those slides* was slower than average, but this affects editing *any* slide in the document.  Also, UI lockups on the order of half a minute are never a good thing.

I see I'm a little behind the curve - will retest with 3.4.2.
Comment 1 Zack Weinberg 2011-08-25 10:44:34 UTC
No change with 3.4.2.
Comment 2 Rainer Bielefeld Retired 2011-08-25 22:22:14 UTC
NOT [Reproducible] with reporter's sample and "LibreOffice 3.4.3 RC2 - WIN7 Home Premium (64bit) German UI [OOO340m1 (Build:302)]".

MAC-specific? Related to settings? I did the wrong edits?

@reporter:
May I ask you to read  hints on <http://wiki.documentfoundation.org/BugReport> carefully?
Then please:
- Attach screenshots with comments (you can add information using LibO DRAW
  and then attach your screenshot with comments as PDF) if necessary, because
  you can not know what others will see with your sample
- Contribute a step by step instruction containing every key press and every 
  mouse click how to reproduce your problem (and if possible how to created a 
  sample document from the scratch)
- add information 
  -- concerning your PC (especially: video card)
  -- concerning your OS
  -- concerning your LibO localization (UI language)
  –- Libo settings that might be related to your problems 
    (video hardware acceleration ...)
  -- how you launch LibO and how you opened the sample document
  –- If you can contribute an OOo Issue that might be useful
  -- everything else crossing your mind after you read a.m. URL

For submitting bug reports you should try <http://wiki.documentfoundation.org/BugReport_Details>

Please file Bug reports with status UNCONFIRMED if your are not absolutely sure that you contributed all required background information and that the problem will be reproducible with information you can provide! 

Thank you for your attention!
Comment 3 Rainer Bielefeld Retired 2011-09-09 02:17:12 UTC
Closing Bug due to reporter's inactivity as WFM.

@reporter:
Please feel free to reopen this bug if you find out that the problem still exists with the current stable LibreOffice version and if you can contribute requested additional information due to <http://wiki.documentfoundation.org/BugReport> (especially BugReport Details)!
Comment 4 Björn Michaelsen 2011-12-22 05:50:07 UTC
RESOLVED, FIXED or CLOSED bugs cant be KEYWORD NEEDINFO.